# economy_sl.cpp File Reference

Code handling saving and loading of economy data. More...

`#include "../stdafx.h"`
`#include "../economy_func.h"`
`#include "saveload.h"`

Go to the source code of this file.

## Functions

static void | SaveLoad_PRIC ()
| Prices.
static void | SaveLoad_CAPR ()
| Cargo payment rates.
static void | Save_ECMY ()
| Economy variables.
static void | Load_ECMY ()
| Economy variables.

## Variables

static const SaveLoad | _economy_desc []
const ChunkHandler | _economy_chunk_handlers []

## Detailed Description

Code handling saving and loading of economy data.

Definition in file economy_sl.cpp.

## Variable Documentation

const ChunkHandler _economy_chunk_handlers[]

Initial value:

     {
      { 'PRIC', SaveLoad_PRIC, SaveLoad_PRIC, CH_RIFF | CH_AUTO_LENGTH},
      { 'CAPR', SaveLoad_CAPR, SaveLoad_CAPR, CH_RIFF | CH_AUTO_LENGTH},
      { 'ECMY', Save_ECMY,     Load_ECMY,     CH_RIFF | CH_LAST},
    }

const SaveLoad _economy_desc[]`[static]`

Initial value:

     {
      SLE_CONDVAR(Economy, max_loan,                      SLE_FILE_I32 | SLE_VAR_I64,  0, 64),
      SLE_CONDVAR(Economy, max_loan,                      SLE_INT64,                  65, SL_MAX_VERSION),
      SLE_CONDVAR(Economy, max_loan_unround,              SLE_FILE_I32 | SLE_VAR_I64,  0, 64),
      SLE_CONDVAR(Economy, max_loan_unround,              SLE_INT64,                  65, SL_MAX_VERSION),
      SLE_CONDVAR(Economy, max_loan_unround_fract,        SLE_UINT16,                 70, SL_MAX_VERSION),
          SLE_VAR(Economy, fluct,                         SLE_INT16),
          SLE_VAR(Economy, interest_rate,                 SLE_UINT8),
          SLE_VAR(Economy, infl_amount,                   SLE_UINT8),
          SLE_VAR(Economy, infl_amount_pr,                SLE_UINT8),
      SLE_CONDVAR(Economy, industry_daily_change_counter, SLE_UINT32,                102, SL_MAX_VERSION),

    }

Definition at line 27 of file economy_sl.cpp.